Summary: Netscape Portable Runtime
Name: nspr
Version: 4.34
Release: 4%{?dist}
License: MPLv2.0
URL: http://www.mozilla.org/projects/%{name}
Source0: http://ftp.mozilla.org/pub/%{name}/releases/v%{version}/src/%{name}-%{version}.tar.gz
Source1: nspr-config.xml

Patch3000: nspr-config-pc.patch
Patch3001: nspr-gcc-atomics.patch

BuildRequires: gcc
# For pkgconfig(nspr) = 4.34.0
Provides:      %{name} = %{version}.0

%description
NetScape Portable Runtime (NSPR) provides platform independence for non-GUI
operating system facilities. These facilities include threads, thread
synchronization, normal file and network I/O, interval timing and calendar
time, basic memory management (malloc and free) and shared library linking.

%package devel
Summary: Development libraries for the Netscape Portable Runtime
BuildRequires: xmlto
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
# For pkgconfig(nspr) = 4.34.0
Provides: %{name}-devel = %{version}.0

%description devel
Header files for development with Netscape Portable Runtime.

%prep
%autosetup -n %{name}-%{version} -p1
cp ./nspr/config/nspr-config.in ./nspr/config/nspr-config-pc.in

%build
./nspr/configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir}/nspr4 \
	--enable-64bit \
	--enable-optimize="$RPM_OPT_FLAGS" \
	--disable-debug

%ifarch x86_64
sed -i '/^PR_MD_ASFILES/d' config/autoconf.mk
%endif

%make_build

date +"%e %B %Y" | tr -d '\n' > date.xml
echo -n %{version} > version.xml

cp %{SOURCE1} .
xmlto man %{SOURCE1}

%check
perl ./nspr/pr/tests/runtests.pl 2>&1 | tee output.log
TEST_FAILURES=`grep -c FAILED ./output.log` || :
if [ $TEST_FAILURES -ne 0 ]; then
	echo "error: test suite returned failure(s)"
	exit 1
fi
echo "test suite completed"

%install
%make_install

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/pkgconfig

rm -rf \
	$RPM_BUILD_ROOT/%{_bindir}/compile-et.pl \
	$RPM_BUILD_ROOT/%{_bindir}/prerr.properties \
	$RPM_BUILD_ROOT/%{_libdir}/libnspr4.a \
	$RPM_BUILD_ROOT/%{_libdir}/libplc4.a \
	$RPM_BUILD_ROOT/%{_libdir}/libplds4.a \
	$RPM_BUILD_ROOT/%{_datadir}/aclocal/nspr.m4 \
	$RPM_BUILD_ROOT/%{_includedir}/nspr4/md

install -c -m 644 nspr-config.1 $RPM_BUILD_ROOT%{_mandir}/man1/nspr-config.1

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license nspr/LICENSE
%{_libdir}/libnspr4.so
%{_libdir}/libplc4.so
%{_libdir}/libplds4.so

%files devel
%{_includedir}/nspr4
%{_libdir}/pkgconfig/nspr.pc
%{_bindir}/nspr-config
%{_mandir}/man*/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.34-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.34-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 29 2023 rockerzhu <rockerzhu@tencent.com> - 4.34-2
- Provides 4.34.0 for pkgconfig(nspr) = 4.34.0

* Fri Jul 15 2022 Anakin Zhang <anakinzhang@tencent.com> - 4.34-1
- Initial build
